import { Component, Prop, Vue } from 'vue-property-decorator';
import assign from 'lodash.assign';
import { Measure, Measurement, TextMeasureConfig, TextMeasurementMeta } from '@/models';
import { formatTS } from '@/util';

@Component({})
export class TextDetails extends Vue {
  @Prop() private measure!: Measure<TextMeasureConfig>;
  @Prop() private measurements!: Array<Measurement<TextMeasurementMeta>>;

  private get measurementTableData() {
    return (this.measurements || []).map((m) => {
      return assign({}, m, {
        tsDisplay: formatTS(this.measure, m),
        tsSort: m.timestamp.toISOString()
      });
    });
  }

}

export default TextDetails;
